
require 'facets/core/enumerable/each_with_counter'
require 'facets/core/hash/each_with_key'

class Hash

  # More appropriate naming and polymorphism with Array.
  # Use #each_with_counter for old functionality.
  alias_method :each_with_index, :each_with_key

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCHash < Test::Unit::TestCase

    def test_each_with_key
      h1 = { :a=>1, :b=>2 }
      h2 = {}
      h1.each_with_index { |v,k| h2[v] = k }
      assert_equal( {1=>:a, 2=>:b}, h2 )
    end

  end

=end
